@import "../../../assets/styles/main.scss";

.reviewPlanOrderMain {
  border-radius: 30px;
  background: #fff;
  box-shadow: 0px 4px 20px 0px rgba(0, 0, 0, 0.17);
  padding: 50px;
  @include xl {
    padding: 40px;
  }
  @include lg {
    padding: 25px;
  }
  .planoOrderHeading {
    h1 {
      color: getColorHex("black");
      font-size: 36px;
      line-height: 32px;
      letter-spacing: 0.2px;
      @include inter700;
      @include lg {
        font-size: 28px;
      }
    }
  }
  .planOrderDetailMain {
    display: flex;
    gap: 24px;
    flex-flow: column;
    .OrderInformationMain {
      display: grid;
      gap: 24px;
      grid-template-columns: repeat(auto-fill, minmax(241px, 1fr));
      padding-top: 36px;
      @include xxl {
        // grid-template-columns: repeat(auto-fill, minmax(230px, 1fr));
      }
      @include xl {
        grid-template-columns: repeat(auto-fill, minmax(195px, 1fr));
      }
      @media (max-width:1180px){
        grid-template-columns: repeat(auto-fill, minmax(177px, 1fr));
      }
      @media (max-width:1179px) {
        grid-template-columns: repeat(auto-fill, minmax(172px, 1fr));
        gap: 16px;
      }
      .countryInfoMain {
        display: grid;
        gap: 24px;
        .countryInfoCard {
          padding: 20px;
          border-radius: 10px;
          background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
          max-width: 241px;
          display: flex;
          flex-flow: column;
          // justify-content: center;
          align-items: center;
          // @include xxl {
          //   width: 230px;
          // }
          // @include xl {
          //   max-width: 200px;
          // }
          @include lg {
            // width: 169px;
            padding: 16px;
          }
          .planImage {
            padding: 5px;
            border-radius: 5px;
            background: getColorHex("white");
            width: 40px;
            height: 40px;
            margin-bottom: 10px;
            img {
              width: 100%;
              height: 100%;
              object-fit: contain;
            }
          }
          p {
            font-size: 14px;
            line-height: normal;
            padding-bottom: 4px;
            @include lg {
              font-size: 13px;
            }
          }
          .planDataInfo {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 72px;
            width: 100%;
            h2 {
              font-size: 20px;
              line-height: normal;
              @include inter700;
              color: #000;
              text-align: center;
              overflow: hidden;
              text-overflow: ellipsis;
              display: -webkit-box;
              -webkit-line-clamp: 3;
              -webkit-box-orient: vertical;

              @include lg {
                font-size: 16px;
              }
            }
          }
        }
      }
    }
    .purchaseNewEsim {
      border-radius: 10px;
      border: 1px solid getColorHex("white");
      background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
      padding: 20px;
      display: flex;
      justify-content: space-between;
      align-items: center;
      position: relative;

      h1 {
        font-size: 20px;
        color: getColorHex("black");
      }
      .gotItNowButton {
        padding-top: 10px;
        button {
          min-width: 101px;
          border-width: 1px;
          font-size: 14px;
          padding: 7px 15px;
          border-radius: 10px;
          background-color: getColorHex("white");
          &:hover {
            background-color: getColorHex("orange");
          }
        }
      }
      .purchaseNewEsimImageMain {
        display: flex;
        align-items: center;
        gap: 28px;
        z-index: 9;
        img {
          width: 100%;
          height: 100%;
          object-fit: contain;
        }
        .purchaseNewEsimImage_regions {
          width: 34px;
          height: 37px;
          &:hover {
            cursor: pointer;
          }
        }
        .purchaseNewEsimImage {
          width: 87px;
          height: 71px;
          position: relative;
        }
      }
      .ImageVectore {
        position: absolute;
        right: -23px;
        width: 144px;
        height: 166px;
        top: 2px;
      }
    }
    .additionalInfoMain {
      border-radius: 10px;
      background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
      padding: 20px;
      h1 {
        font-size: 20px;
        color: getColorHex("black");
      }
      .reviewYourOrderBlockMain {
        margin-top: 20px;
        display: flex;
        flex-flow: column;
        gap: 10px;
        .reviewOrderBlock {
          border-radius: 10px;
          border: 1px solid #ededed;
          background: getColorHex("white");
          padding: 14px 15px;
          display: flex;
          justify-content: space-between;
          align-items: center;
        }
        .blockLeftData {
          display: flex;
          gap: 7px;
          .dataImage {
            min-width: 40px;
            height: 40px;
            border-radius: 5px;
            background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
            display: flex;
            justify-content: center;
            align-items: center;
          }
          .dataDescription {
            p {
              font-size: 14px;
            }
            h3 {
              font-size: 16px;
              font-weight: 600;
              @include lg {
                font-size: 14px;
              }
            }
          }
        }
        .checkListButton {
          button {
            border-radius: 5px;
            min-width: 63px;
            padding: 5.5px 10.5px;
            font-size: 8px;
            text-transform: capitalize;
            line-height: normal;
          }
        }
      }
    }
    .simDetailSection {
      border-radius: 10px;
      border: 1px solid getColorHex("white");
      background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
      padding: 20px;
      h1 {
        font-size: 20px;
        color: getColorHex("black");
        padding-bottom: 20px;
      }
      .simDetailSection_inner {
        display: flex;
        flex-flow: column;
        gap: 15px;
        .newEsimDeatilBlock {
          border-radius: 10px;
          background: getColorHex("white");
          display: flex;
          justify-content: space-between;
          gap: 7px;
          align-items: center;
          padding: 10px 17px;
          .newesimDetail {
            display: flex;
            gap: 7px;
            align-items: center;
            .esim_icon_image {
              width: 40px;
              height: 40px;
              padding: 10px;
              border-radius: 5px;
              background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
              display: flex;
              justify-content: center;
              align-items: center;
              img {
                width: 100%;
                height: 100%;
                object-fit: contain;
              }
            }
            .newEsimDeatilText {
              h2 {
                font-size: 16px;
              }
              .detail {
                line-height: normal;
                label {
                  color: #3e3e38;
                  min-width: 93px;
                  font-size: 14px;
                }
                span {
                  color: getColorHex("orange");
                  font-size: 14px;
                }
              }
            }
          }
          .purchaseNewEsimImage_regions {
            width: 24px;
            height: 24px;
            cursor: pointer;
          }
        }
        .purchaseNewEsim {
          border-radius: 10px;
          border: 1px solid getColorHex("white");
          background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
          padding: 20px;
          display: flex;
          justify-content: space-between;
          align-items: center;
          position: relative;

          h1 {
            font-size: 20px;
            color: getColorHex("black");
          }
          .gotItNowButton {
            padding-top: 10px;
            button {
              min-width: 101px;
              border-width: 1px;
              font-size: 14px;
              padding: 7px 15px;
              border-radius: 10px;
              background-color: getColorHex("white");
              &:hover {
                background-color: getColorHex("orange");
              }
            }
          }
          .purchaseNewEsimImageMain {
            display: flex;
            align-items: center;
            gap: 28px;
            z-index: 9;
            img {
              width: 100%;
              height: 100%;
              object-fit: contain;
            }
            .purchaseNewEsimImage_regions {
              width: 34px;
              height: 37px;
              &:hover {
                cursor: pointer;
              }
            }
            .purchaseNewEsimImage {
              width: 87px;
              height: 71px;
              position: relative;
            }
          }
          .ImageVectore {
            position: absolute;
            right: -23px;
            width: 144px;
            height: 166px;
            top: 2px;
          }
        }
      }
    }
  }
}
